%define prerel beta3
%define _name lineak
%def_disable static

Name: %{_name}_xosdplugin
Version: 0.8
Release: alt0.6%prerel

Summary: A XOSD plugin for lineakd
Group: System/Configuration/Other
License: GPL
Url: http://lineak.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/lineak/%name-%version%prerel.tar.gz
Patch: %name-0.8-alt-makefile.patch

Requires: lib%_name >= %version

# Automatically added by buildreq on Thu Apr 29 2004
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ liblineak-devel libstdc++-devel libxosd-devel

%description
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package contains lineakd plugin that provides the XOSD on screen
display functionality.

%prep
%setup -q -n %name-%version%prerel
%patch -p1

%build
%configure \
    %{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/lineakd/plugins/*
%_man1dir/*
%doc AUTHORS README

%changelog
* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.6beta3
- 0.8beta3

* Fri Mar 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.5
- 0.8

* Sat Jan 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.5beta1
- First build for Sisyphus.

